Subject: bug#22534: File notify broken on Windows

From: Fabrice Popineau <[email-masked]>
Date: Mon, 8 Feb 2016 11:40:11 +0100

2016-02-08 11:21 GMT+01:00 Michael Albinus <[email-masked]>:

> Fabrice Popineau <[email-masked]> writes:
>
> > In the 'check for attribute change', I see only 2 'changed'
> > notifications, and not 4
> > as expected by the test (around line 512: w32notify does not
> > distinguish between
> > 'changed' and 'attribute-changed').
>
> I cannot confirm this, it works for me. I'm running the test on a
> Windows 7 machine using Emacs build "GNU Emacs 25.0.50.1
> (i686-pc-mingw32) of 2016-01-29", the one provided by Dani Moncayo, plus
> the updated filenotify.el and file-notify-tests.el.
>
>
Ok, I may have been mistaken. At the moment, I see the 4 notifications.

> Do you run Windows 10? Something else different?
>
>
Windows 10, and I compile with MSys2-MinGW64.

Fabrice